// Title Section
.guest-form .title-wrapper {
    @apply flex my-6;
}

.guest-form .title-wrapper .titles {
    @apply w-10/12 flex flex-wrap;
}

.guest-form .title-wrapper .--margin {
    @apply w-1/12;
}

.guest-form .title-wrapper .titles .title {
    @apply text-brand-red text-4xl font-display;
}

.guest-form .title-wrapper .titles .subtitle {
    @apply text-brand-black text-2xl;
}

// Form Section
.guest-form .form-wrapper {
    @apply flex;
}

.guest-form .form-wrapper .--margin {
    @apply w-1/12;
}

.guest-form .form-wrapper .form {
    @apply w-10/12;
    @apply shadow p-6;
}

.guest-form .form-wrapper .form:hover {
    @apply shadow-md;
}

.guest-form .form-wrapper .form form .form-control {
    @apply flex flex-col items-start;
    @apply text-brand-black text-xl;
}

.guest-form .form-wrapper .form form .form-control input {
    @apply px-4 py-1;
    @apply my-4;
    @apply border-brand-green border rounded;
}

// Input Error
.guest-form .form-wrapper .form form .form-control input~.error {
    @apply ml-4 text-brand-red text-sm;
}

.guest-form .form-wrapper .form form .form-control input~.error .message {
    @apply ml-1;
}

.guest-form .form-wrapper .form form .form-control input:focus {
    @apply border border-brand-red outline-none;
}

.guest-form .form-wrapper .form form .form-control button.form-submit {
    @apply px-4 py-2;
    @apply bg-brand-green text-brand-white;
    @apply rounded;
}

.guest-form .form-wrapper .form form .form-control button.form-submit:hover {
    @apply bg-brand-black text-brand-red;
}

.guest-form .form-wrapper .form form .form-control button.form-submit:focus {
    @apply outline-none;
}

@screen md {

    // Title Section
    .guest-form .title-wrapper .titles {
        @apply w-8/12;
    }

    .guest-form .title-wrapper .--margin {
        @apply w-2/12;
    }

    // Form Section 
    .guest-form .form-wrapper .--margin {
        @apply w-2/12;
    }

    .guest-form .form-wrapper .form {
        @apply w-8/12;
    }

    .guest-form .form-wrapper .form form .form-control {
        @apply flex-row items-center;
    }

    .guest-form .form-wrapper .form form .form-control input {
        @apply ml-6;
    }
}